Bug 4273 - Workstation & Server default install do not recognize SMP
Workstation & Server default install do not recognize SMP
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1999-07-30 12:05 EDT by daozb
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-08-02 12:29:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description daozb 1999-07-30 12:05:53 EDT
Warning...  Newbie  Newbie  Newbie   Warning......

I just upgraded from McMillan 5.2 to 'official' RH6.0.  I
have been working with Linux for almost a month...

Machine is SuperMicro P6DBS MotherBoard, 2x 500Mhz PIII, 256
Mb ram,  PCI EtherExpress 10/100 nic, Diamond SpeeedStar Pro
video, 1 IDE @ 1.5 GB and 1 SCSI @ 1.05 Gb.

Install was from distribution floppy & local CDROM.  I
installed default server config and worked with it for a day
or so before checking /proc/cpuinfo.  Only 1 processor....
rebuilt kernel & second processor appeared & worked fine.
I tried loading Gnome & 'E', but only managed to prove my
lack of X configuration knowledge.

Re-installed (not upgraded) default workstation config.
Gnome & 'E' worked fine,  but NO SMP kernel...  Rebuilt
kernel again & managed to kill PPP.  One processor kernel
supported PPP, SMP kernel would connect then fail on ioctl
(PPPxxCGUNIT)  (I believe).  second attempt to rebuild
kernel resulted in non-bootable machine..

Re-Installed using 'Custom' config option.  Install went
well, and SMP kernel loaded fine....

Lowest priority (for me) since I have working SMP machine &
a lot more to learn before I need to re-install.  I'd like
to install default server ( best fit for ultimate use )

Thanx for the wonderful product and support!
Comment 1 David Lawrence 1999-08-02 12:29:59 EDT
The installer does some funky low level assembly to try and detect SMP
capable motherboards. It has been known to not work properly with some
BIOS's and motherboards so it will not be the solution for all people.
It is although very simple to install the SMP rpm package after the
system is back up and running by doing the following:

Mount install media and change into /mnt/cdrom/RedHat/RPMS and:

              rpm -Uvh kernel-smp-2.2.5-15.i386.rpm

              From inside the /boot directory run:

              mkinitrd /boot/initrd-2.2.5-15smp.img 2.2.5-15smp

              The you need to edit lilo.conf and change the following:





              and also change:




              Save the new file and run the lilo command from the
prompt. You will need to
              re-boot the machine for the changes to take place.

Note You need to log in before you can comment on or make changes to this bug.